Subject: bug#43764: Calc shift right broken

From: Mattias Engdegård <[email-masked]>
Date: Mon, 5 Oct 2020 12:34:15 +0200

5 okt. 2020 kl. 10.12 skrev Lars Ingebrigtsen <[email-masked]>:

> That sounds like a welcome change...  or is it possible that somebody is
> using calc to do 32-bit math and would be surprised by this?

Maybe but not in any very harmful way. I'm sure they would cope.

> But if we're changing the number of default bits, perhaps it would make
> more sense to default to having no bit width restrictions?  Or would
> that entail major Calc surgery?  

Any changes to Calc, however minor, are fraught with danger and excitement!

Fun as it may be, better not making changes speculatively though.
(On the other hand it could be that everyone have been bothered about this for years. I have no way of knowing.)